<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('welcome');

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/morale/liste', [App\Http\Controllers\HomeController::class, 'listMoral'])->name('listMoral');
Route::get('/physique/liste', [App\Http\Controllers\HomeController::class, 'listPhysic'])->name('listPhysic');
Route::get('/produit/liste', [App\Http\Controllers\HomeController::class, 'listProduit'])->name('listProduit');
Route::get('/livraison/liste', [App\Http\Controllers\HomeController::class, 'listLivraison'])->name('listLivraison');
Route::get('/commande/liste', [App\Http\Controllers\HomeController::class, 'listCommande'])->name('listCommande');

Route::get('/produit', [App\Http\Controllers\HomeController::class, 'produit'])->name('produit');
Route::get('/produit/ajout', [App\Http\Controllers\HomeController::class, 'entreeStock'])->name('entreeStock');
Route::post('/produit', [App\Http\Controllers\HomeController::class, 'newProduit']);
Route::post('/produit/ajout', [App\Http\Controllers\HomeController::class, 'entreeStockProduit']);