
<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-12 d-flex no-block align-items-center">
                        <h4 class="page-title">Produit</h4>
                        <div class="ml-auto text-right">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="#">Produit</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Liste</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Liste des produits</h5>
                                <div class="table-responsive">
                                    <table id="zero_config" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>N°</th>
                                                <th>Nom</th>
                                                <th>Catégorie</th>
                                                <th>Quantité</th>
                                                <th>Seuil</th>
                                                <th>Prix grossiste / détaillant / distributeur</th>
                                                <th>Date de péremption</th>
                                                <th>Date d'ajout</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $produits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <th scope="row"><?php echo e($item->id); ?></th>
                                                    <td><?php echo e($item->nomProduit); ?></td>
                                                    <td><?php echo e($item->categorieProduit); ?></td>
                                                    <td><?php echo e($item->quantiteProduit); ?></td>
                                                    <td><?php echo e($item->seuil); ?></td>
                                                    <td>
                                                        <?php echo e($item->prixGrossiste); ?> / <?php echo e($item->prixDetaillant); ?> / <?php echo e($item->prixDistributeur); ?>

                                                    </td>
                                                    <td><?php echo e($item->datePeremption); ?></td>
                                                    <td><?php echo e($item->created_at); ?></td>
                                                    <td class="text-center">
                                                        <style>
                                                            .icon{
                                                                font-size: 24px;
                                                            }
                                                        </style>
                                                        <a >
                                                            <i class="mdi mdi-pencil icon" style="color: blue" data-toggle="modal" data-target="#modif<?php echo e($item->id); ?>" ></i>
                                                        </a>
                                                        
                                                        <i class="mdi mdi-delete icon" style="color: red;" data-toggle="modal" data-target="#exampleModal" ></i>
                                                        
                                                        <?php echo $__env->make('components._modalModifyProduit', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div> 
            <footer class="footer text-center">
                Tous droits réservés. Développé par <a href="https://wrappixel.com">Spark corporation</a>.
            </footer>
        </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('table', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Kevin\Desktop\adminBA\resources\views/components/_listProduit.blade.php ENDPATH**/ ?>